### Function

# Camel MessageContentInfoTraverseCallback

since: 3.36

#### Declaration

    gboolean
    (* CamelMessageContentInfoTraverseCallback) (
      CamelMessageContentInfo* ci,
      gint depth,
      gpointer user_data
    )

#### Description [src]

This is the callback signature for camel_message_content_info_traverse().

Available since: 3.36

#### Parameters

`ci`

  Type: `CamelMessageContentInfo`

  A `CamelMessageContentInfo`.

  The data is owned by the caller of the function.

`depth`

  Type: `gint`

  The current depth.

`user_data`

  Type: `gpointer`

  Data passed to camel_message_content_info_traverse().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to continue processing or `FALSE` to stop it.